Upstream information

CVE-2019-11065 at MITRE

Description

Gradle versions from 1.4 to 5.3.1 use an insecure HTTP URL to download dependencies when the built-in JavaScript or CoffeeScript Gradle plugins are used. Dependency artifacts could have been maliciously compromised by a MITM attack against the ajax.googleapis.com web site.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.9
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Attack Vector Network
Attack Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
CVSSv3 Version 3
SUSE Bugzilla entry: 1132096 [REOPENED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 gradle Analysis
SUSE Enterprise Storage 7.1 gradle Analysis
SUSE Linux Enterprise Desktop 15 SP4 gradle Analysis
SUSE Linux Enterprise High Performance Computing 15 SP4 gradle Analysis
SUSE Linux Enterprise Module for Development Tools 15 SP4 gradle Analysis
SUSE Linux Enterprise Real Time 15 SP3 gradle Analysis
SUSE Linux Enterprise Server 15 SP4 gradle Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP4 gradle Analysis
SUSE Manager Proxy 4.2 gradle Analysis
SUSE Manager Proxy 4.3 gradle Analysis
SUSE Manager Retail Branch Server 4.2 gradle Analysis
SUSE Manager Retail Branch Server 4.3 gradle Analysis
SUSE Manager Server 4.2 gradle Analysis
SUSE Manager Server 4.3 gradle Analysis
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 gradle Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS gradle Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS gradle Analysis
SUSE Linux Enterprise High Performance Computing 15 SP3 gradle Analysis
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS gradle Analysis
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS gradle Analysis
SUSE Linux Enterprise Module for Development Tools 15 SP2 gradle Analysis
SUSE Linux Enterprise Module for Development Tools 15 SP3 gradle Analysis
SUSE Linux Enterprise Server 15 SP2 gradle Analysis
SUSE Linux Enterprise Server 15 SP2-LTSS gradle Analysis
SUSE Linux Enterprise Server 15 SP3 gradle Analysis
SUSE Linux Enterprise Server 15 SP3-LTSS gradle Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP2 gradle Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP3 gradle Analysis
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 15 SP2 gradle Analysis
SUSE Linux Enterprise Desktop 15 SP3 gradle Analysis
SUSE Linux Enterprise Real Time 15 SP2 gradle Analysis
SUSE Linux Enterprise Server 15 SP2-BCL gradle Analysis
SUSE Linux Enterprise Server 15 SP3-BCL gradle Analysis
SUSE Manager Proxy 4.1 gradle Analysis
SUSE Manager Retail Branch Server 4.1 gradle Analysis
SUSE Manager Server 4.1 gradle Analysis


SUSE Timeline for this CVE

CVE page created: Wed Apr 10 12:22:55 2019
CVE page last modified: Fri Jan 20 14:52:19 2023